Package org.apache.sling.models.spi.injectorspecific

# Interface InjectAnnotationProcessorFactory2

@ConsumerType public interface InjectAnnotationProcessorFactory2
Factory for `InjectAnnotationProcessor2` that is evaluated at runtime for each sling model adaption and may depend on the adaptable. Use `StaticInjectAnnotationProcessorFactory` preferably.

## Method Summary

Modifier and Type
Method
Description
`InjectAnnotationProcessor2`
`createAnnotationProcessor(Object adaptable, AnnotatedElement element)`

## Method Details

### createAnnotationProcessor

InjectAnnotationProcessor2 createAnnotationProcessor(Object adaptable, AnnotatedElement element)

Parameters:
  `adaptable` - the object from which this model is adapted
  `element` - the field or method which is annotated
Returns:
  a ModelAnnotationProcessor in case there is a known injector-specific annotation on the given element found otherwise null